typedef struct textBox
{
    SDL_Surface* portrait;
    SDL_Surface** message;

    int lines;
    int cursor;
    int scroll;
    int scrollFrom;
} TextBox;

TextBox* newTextBox();
TextBox* newGTextBox(SDL_Surface* image);
void deleteTextBox(TextBox* target);

void addText(TextBox* self, char* text);
void displayTextBox(TextBox* self);
void textBoxInput(TextBox* self, int* textIsRelevent);
